Bug 998601 - Random test failures related to wsdl host server config value
Random test failures related to wsdl host server config value
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity high
: ER3
: ---
Assigned To: Alessio Soldano
Rostislav Svoboda
Russell Dickenson
:
Depends On: 1006789
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 10:59 EDT by Petr Sakař
Modified: 2014-06-18 03:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:13:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sakař 2013-08-19 10:59:42 EDT
Description of problem:
test failures on different platform related to server config value Wsdl host Common exception / message is java.net.UnknownHostException: jbossws.undefined.host


RHEL x86
--------
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-WS/job/eap-60-jbossws-testsuite-rhel/lastCompletedBuild/jdk=ibm16,label_exp=RHEL5%26%26x86/testReport/org.jboss.test.ws.jaxws.jbws944/JBWS944TestCase/testWebService/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-WS/job/eap-60-jbossws-testsuite-rhel/lastCompletedBuild/jdk=java17_default,label_exp=RHEL5%26%26x86_64/testReport/org.jboss.test.ws.jaxws.jbws3287/JBWS3287TestCase/testJBossWebservicesXmlDD/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-WS/job/eap-60-jbossws-testsuite-rhel/lastCompletedBuild/jdk=openjdk-1.7.0-local,label_exp=RHEL5%26%26x86_64/testReport/org.jboss.test.ws.jaxws.jbws3287/JBWS3287TestCase/testJBossWebservicesXmlDD/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-WS/job/eap-60-jbossws-testsuite-rhel/lastCompletedBuild/jdk=openjdk-1.7.0-local,label_exp=RHEL5%26%26x86_64/testReport/org.jboss.test.ws.jaxws.jbws3287/JBWS3287TestCase/testWebXmlDD/

RHEL sol
--------
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-60-jbossws-testsuite-solaris/lastCompletedBuild/jdk=java16_default,label_exp=sol11_x86_64/testReport/org.jboss.test.ws.jaxws.jbws3441/JBWS3441TestCase/testEjb3Call/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-60-jbossws-testsuite-solaris/lastCompletedBuild/jdk=java17_default,label_exp=sol10_x86/testReport/org.jboss.test.ws.jaxws.jbws2419/JBWS2419TestCase/testSOAP11ClientAccess/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-60-jbossws-testsuite-solaris/lastCompletedBuild/jdk=java17_default,label_exp=sol11_sparc64/testReport/org.jboss.test.ws.jaxws.clientConfig/ClientConfigurationTestCase/testCustomClientConfigurationFromFile/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-60-jbossws-testsuite-solaris/lastCompletedBuild/jdk=java17_default,label_exp=sol11_sparc64/testReport/org.jboss.test.ws.jaxws.jbws1666/JBWS1666TestCase/testClientUsingJBossModules/


RHEL HPUX
---------
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-6x-jbossws-testsuite-hpux/lastCompletedBuild/jdk=jdk16_hpux,label=hpux11v3/testReport/org.jboss.test.ws.jaxws.jbws1666/JBWS1666TestCase/testClientUsingJBossModulesWithJBossWSClientAggregationModule/


How reproducible:
Random failures

Steps to Reproduce:
run testsuite on differnt platforms

Actual results:
Random failures

Expected results:
No test failures

Additional info:
Either related to other test not clearing server configuration or some race conditions (possibly thread safety issues ?)
Comment 4 Petr Sakař 2013-10-07 09:12:27 EDT
verified issue not present in 6.2.0.ER3 anymore

Note You need to log in before you can comment on or make changes to this bug.